# Changelog

All notable changes to this project will be documented in this file.

## [0.1.1] - 2025-03-26

### 🚀 Features

- *(index)* Add save and load functionality for Index using gob encoding/decoding

### 🐛 Bug Fixes

- Updated AddDocToIndex function to ignore additional special characters in scanner.Text()
- Add sonarqube properties
- Add default log level

### 🚜 Refactor

- Search logic to improve performance and reduce false positives by making query case-insensitive for simple queries and using trimmed whitespace in phrases

### 📚 Documentation

- Add first release in Changelog
- Update changelog
- Add sonarqube badge

### ⚙️ Miscellaneous Tasks

- Add sonarqube pipeline
- Update sonarqube pipeline
- Add quality gate

## [0.1.0] - 2025-03-25

### 🚀 Features

- Added documentation for gosearch system architecture and updated Go module version to 1.23.5
- Update internal HTTP server to use Fiber v2 with new routes and middleware configuration
- Added new search route and metric endpoint to internal controller
- Update fiber version from 2 to 3 and add health checks
- Added search functionality with TF-IDF scoring and inverted index data structure for efficient document retrieval.
- Update Fiber version to v2 and update internal controller and search logic to use new index module
- Update search.go to include debug logging for relevance scores
- *(doc)* Update diagram explanation for improved clarity

### 🚜 Refactor

- Search controller to convert query to lowercase
- Index and removed old functions

### 📚 Documentation

- Added high-level architecture diagram for Elasticsearch SearchEngine in Go, including components and interactions

### ⚙️ Miscellaneous Tasks

- Update dependencies to latest versions (go.mod, go.sum)
- Added golang workflow for building and testing project
- Update Go version in build-and-test workflow to 1.23
- Added renovate configuration files for Gitea workflow automation
- Add release pipeline

<!-- generated by git-cliff -->
